DataBindingEventMulticastListener (Grails 4.0.6)
Date: 2020-12-19

Package: org.grails.web.databinding

## [Groovy] Class DataBindingEventMulticastListener

- org.grails.web.databinding.DataBindingEventMulticastListener

- All Implemented Interfaces and Traits:
    DataBindingListener

      @groovy.transform.CompileStatic
      @groovy.util.logging.Commons
      class DataBindingEventMulticastListener
      extends java.lang.Object

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.List<DataBindingListener>` | `listeners` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DataBindingEventMulticastListener (java.util.List<DataBindingListener> listeners)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object errors)`
    `` | `void` | `afterBinding(java.lang.Object target, java.lang.Object errors)`
    `` | `java.lang.Boolean` | `beforeBinding(java.lang.Object target, java.lang.Object errors)`
    `` | `java.lang.Boolean` | `beforeBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object value, java.lang.Object errors)`
    `` | `void` | `bindingError(BindingError error, java.lang.Object errors)`
    `` | `boolean` | `supports(java.lang.Class<?> clazz)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected final java.util.List<DataBindingListener> listeners

  - ### Constructor Detail

    - #### DataBindingEventMulticastListener(java.util.List<DataBindingListener> listeners)

  - ### Method Detail

    - #### @java.lang.Override void afterBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object errors)

    - #### @java.lang.Override void afterBinding(java.lang.Object target, java.lang.Object errors)

    - #### java.lang.Boolean beforeBinding(java.lang.Object target, java.lang.Object errors)

    - #### @java.lang.Override java.lang.Boolean beforeBinding(java.lang.Object obj, java.lang.String propertyName, java.lang.Object value, java.lang.Object errors)

    - #### @java.lang.Override void bindingError(BindingError error, java.lang.Object errors)

    - #### boolean supports(java.lang.Class<?> clazz)